Bug 1261930 - webhttrack - This web page is not available - ERR_CONTENT_LENGTH_MISMATCH
webhttrack - This web page is not available - ERR_CONTENT_LENGTH_MISMATCH
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: httrack (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fabio Alessandro Locati
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 08:58 EDT by Hilary Wright
Modified: 2016-07-19 15:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:18:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hilary Wright 2015-09-10 08:58:00 EDT
Description of problem: Having solved the previus issue with not finding google-chrome-stable, I now have the following message being displayed in the browser window "This web page is not available" It is looking for http://wrightetmathon:8080/, which is coming from the $SRVURL variable which is loaded from the temp file on line 111, SRVURL=`grep -E URL= ${TMPSRVFILE} | cut -f2- -d=`


Version-Release number of selected component (if applicable): 3.48.20-2


How reproducible: every time


Steps to Reproduce:
1.start webhttrack
2.
3.

Actual results: "This web page is not available"


Expected results: httrack gui


Additional info: Fedora 22 running XFCE.

I modified the webhttrack to put out some message just before the line 103 where the htsserver is started, 

log "starting ${BINPATH}/htsserver"
log " with distpath = ${DISTPATH} and temp file = ${TMPSRVFILE}"
(${BINPATH}/htsserver "${DISTPATH}/" --ppid "$$" path "${HOME}/websites" lang "${LANGN}" $@; echo SRVURL=error) > ${TMPSRVFILE}&

Here is the output,

/usr/bin/webhttrack(7234): starting /usr/bin/htsserver
/usr/bin/webhttrack(7234):  with distpath = /usr/bin/../share/httrack and temp file = /tmp/.webhttrack.SMe685Rk

Contents of temp file are, 

Initialzing the server..
Okay, temporary server installed.
The URL is:
URL=http://wrightetmathon:8080/
PID=7564
Comment 1 Hilary Wright 2015-09-10 11:01:40 EDT
I think that the server is working because if I try this URL
http://wrightetmathon:8080/index.html (for example), I get a "Page not found." error.
Comment 2 Fedora Admin XMLRPC Client 2016-02-26 12:47:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2016-02-28 02:36:24 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 15:18:21 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.